Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.security
Class TurbineSecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.turbine.util.TurbineException
                  org.apache.turbine.util.security.TurbineSecurityException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccessControlException, DataBackendException, EntityExistsException, PasswordMismatchException, UnknownEntityException

    public class TurbineSecurityException

extends TurbineException

Thrown by SecurityService methods to indicate various problems.

Version:
  $Id: TurbineSecurityException.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Rafal Krzewski, Henning P. Schmiedehausen
See Also:
  Serialized Form

Constructor Summary
`TurbineSecurityException(String msg)` Construct an SecurityException with specified detail message.
`TurbineSecurityException(String msg, Throwable nested)` Construct an SecurityException with specified detail message and nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TurbineSecurityException

    public TurbineSecurityException(String msg)

  Construct an SecurityException with specified detail message.

  Parameters:
    `msg` - The detail message.

### TurbineSecurityException

    public TurbineSecurityException(String msg,
                                    Throwable nested)

  Construct an SecurityException with specified detail message and nested `Throwable`.

  Parameters:
    `msg` - The detail message.
    `nested` - the exception or error that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.